--https://wago.io/VJb37XBIb
{
  "m": "d",
  "s": "2.1.0.27",
  "d": {
  "yOffset": -13,
  "width": 185,
  "version": 1,
  "id": "Player Frame Clickable",
  "additional_triggers": [
  {
  "untrigger": [],
  "trigger": {
  "unit": "player",
  "use_unit": true,
  "use_alwaystrue": true,
  "event": "Conditions",
  "subeventPrefix": "SPELL",
  "subeventSuffix": "_CAST_START",
  "type": "status",
  "unevent": "auto"
}
}
],
"numTriggers": 2,
"disjunctive": "any",
"regionType": "texture",
"load": {
"use_never": false,
"faction": {
"multi": []
},
"difficulty": {
"multi": []
},
"role": {
"multi": []
},
"talent": {
"multi": []
},
"race": {
"multi": []
}
},
"trigger": {
"custom": "function(event)
return false
end
",
"events": "PLAYER_ENTERING_WORLD",
"type": "custom",
"custom_type": "status",
"custom_hide": "timed"
},
"init_completed": 1,
"color": [
null,
null,
null,
0
],
"url": "https://wago.io/VJb37XBIb/1",
"untrigger": {
"custom": function()
if LeafPlayerFrame  then
else
  local r = WeakAuras.regions[aura_env.id].region
  local f = CreateFrame("button", "LeafPlayerFrame", r, "SecureActionButtonTemplate")
  f.unit = 'player'
  f:SetAttribute("unit", "player")
  f:SetAllPoints(r)
  f:EnableMouse(true)
  f:RegisterForClicks("LeftButtonUp", "RightButtonUp")
  f:SetAttribute("type1", "target")
  f:SetAttribute("type2", "togglemenu")
  RegisterUnitWatch(f)
  f:SetScript("OnEnter",UnitFrame_OnEnter)
end
end
"
},
"height": 20,
"texture": "interface\\addons\\LeafPack\\Other\\Square Frame.tga",
"semver": "1.0.0"
},
"v": 1421,
"wagoID": "VJb37XBIb"
}